<?php

declare(strict_types=1);

namespace Drupal\navigation_plus\EventSubscriber;

use Drupal\navigation_plus\Event\UiRoutesEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

final class UiRoutes implements EventSubscriberInterface {

  public function onUiRoutes(UiRoutesEvent $event): void {
    $event->addRoute('navigation_plus.load_editable_page');
  }

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents(): array {
    return [
      UiRoutesEvent::class => ['onUiRoutes'],
    ];
  }

}
